a {
    display: block;
    padding: 15px;
    color: #CC0000;
    width: fit-content;
    /* 
    fit content te ajusta al contenido
    Puede que no funcione en todos los navegadores
    */
}

/*
Otra forma para poner cada enlace en una linea y no usar el fit-content
a {
    float: left;
    margin-right: 300px;
    padding: 15px;
    color: #CC0000;
}
*/

a:hover {
    color: #FFF;
    background-color: #CC0000;
}

a:visited {
    color: #ccc;
}